## libobd 0.7~beta1-0

=== test/Makefile ===
CC=gcc
CFLAGS=-Wall -pedantic -lobd

obd-scan: obd-scan.c

clean:
	rm -f obd-scan obd-scan.o

=== debian/changelog ===
libobd (0.7~beta1-0) unstable; urgency=low

  * Change version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Wed, 27 Aug 2008 13:00:00 -0300

libobd (0.0.1-2) unstable; urgenc+y=low

  * Added copyright information. Added package dependecies.

 -- Felipe Zimmerle <felipe.zimmerle@indt.org.br>  Thu, 10 Jul 2008 13:00:00 +0000

libobd (0.0.1-1) unstable; urgency+=low

  * Initial release.

 -- Felipe Zimmerle <felipe.zimmerle@indt.org.br>  Thu, 09 Jul 2008 20:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS:.svn

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libobd 0.7~beta1-2

=== debian/changelog ===
libobd (0.7~beta1-2) unstable; urgency=low

  * Change version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Wed, 27 Aug 2008 13:00:00 -0300

## libobd 0.7~beta1-3

=== debian/changelog ===
libobd (0.7~beta1-3) unstable; urgency=low

  * Change version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Wed, 27 Aug 2008 13:00:00 -0300

## libobd 0.7~beta1-4

=== debian/changelog ===
libobd (0.7~beta1-4) unstable; urgency=low

  * Change version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Wed, 27 Aug 2008 13:00:00 -0300

libobd (0.0.1-2) unstable; urgency=low

  * Added copyright information. Added package dependecies.

 -- Felipe Zimmerle <felipe.zimmerle@indt.org.br>  Thu, 10 Jul 2008 13:00:00 +0000

libobd (0.0.1-1) unstable; urgency=low

  * Initial release.

 -- Felipe Zimmerle <felipe.zimmerle@indt.org.br>  Thu, 09 Jul 2008 20:00:00 +0000

## libobd 0.7~beta1-5

=== debian/changelog ===
libobd (0.7~beta1-5) unstable; urgency=low

  * Change version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Wed, 27 Aug 2008 13:00:00 -0300

## libobd 0.7~beta1-8

=== debian/changelog ===
libobd (0.7~beta1-8) unstable; urgency=low

  * Change version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Wed, 27 Aug 2008 13:00:00 -0300

## libobd 0.7~beta1-9

=== debian/changelog ===
libobd (0.7~beta1-9) unstable; urgency=low

  * Added support to BluTrax and mOByDic scantools
  * Fixed the code to check in the protocol setup if the operation had an
  error

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 15 Dec 2008 16:50:00 -0300

## libobd 0.7~beta1-10

=== debian/changelog ===
libobd (0.7~beta1-10) unstable; urgency=low

  * Fixed connection setup. Fixed Ozen devices.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Tue, 27 Jan 2009 15:23:05 -0400

## libobd 0.7~beta1-11

=== debian/changelog ===
libobd (0.7~beta1-11) unstable; urgency=low

  * Change version to match carman's version.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Mon, 02 Feb 2009 18:49:15 -0400

libobd (0.7~beta1-10.0) unstable; urgency=low

  * Fixed connection setup. Fixed Ozen devices.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Tue, 27 Jan 2009 15:23:05 -0400

=== debian/control ===
Source: libobd
Priority: extra
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 0.0.1-2
Section: libs

Package: libobd-dev
Section: libdevel
Architecture: any
Depends: libobd (>= ${Source-Version})
Description: OBD II parser
 OBD II parser

Package: libobd
Section: libs
Architecture: any
Depends: libc6 (>= 2.5.0), ${shlibs:Depends}
Description: OBD II parser
 OBD II parser
Provides: libobd
Replaces: obdlib
Conflicts: obdlib

## libobd 0.7~beta2-6

=== debian/changelog ===
libobd (0.7~beta2-6) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Mon, 16 Mar 2009 20:34:49 -0400

libobd (0.7~beta2-5) unstable; urgency=low

  * Carman new release. 

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Fri, 20 Feb 2009 09:44:17 -0400

libobd (0.7~beta2-4) unstable; urgency=low

  * Change version to match carman version.

 -- Frederico Duarte <frederico.duarte@indt.org.br>  Tue, 27 Jan 2009 22:12:02 -0400

libobd (0.7~beta2-1) unstable; urgency=low

  * Change version to match carman version.

 -- Ricardo Guimaraes <ricardo.guimaraes@openbossa.org>  Sun, 11 Jan 2009 01:50:00 -0300

## libobd 0.7~beta2-7

=== debian/changelog ===
libobd (0.7~beta2-7) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Thu, 19 Mar 2009 09:31:02 -0400

## libobd 0.7

=== debian/changelog ===
libobd (0.7) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Wed,  1 Apr 2009 10:43:17 -0400
